// src/index.js
function generateStyledComponent(styleObject, componentName) {
  let styledString = `import styled from 'styled-components';\n\n`;

  styledString += `const ${componentName} = styled.div\`\n`;

  for (const [property, value] of Object.entries(styleObject)) {
    const cssProperty = property.replace(
      /([A-Z])/g,
      (match) => `-${match.toLowerCase()}`
    );
    styledString += `  ${cssProperty}: ${value};\n`;
  }

  styledString += `\`;\n\nexport default ${componentName};`;

  return styledString;
}

module.exports = generateStyledComponent;
